#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;
    long long k = m;
    long long a;

    cin >> l >> m >> n;

    do {
      k = m + n;

      s += k;

      br ++;
    }while (s <= l);

    cout << br;

    return 0;
}

